Loading...
Searching...
No Matches
Qore::SocketPollOperationBase Class Reference

Abstract poll operation object returned by Socket polling methods. More...

`#include <QC_SocketPollOperationBase.dox.h>`

Inheritance diagram for Qore::SocketPollOperationBase:
[legend]

## Public Member Functions

| abort ()
| Aborts any asynchroous operation in progress and closes the connected object.
| constructor ()
| Throws an exception; this class is not usable by Qore classes.
| destructor ()
| Destroys the object.
string | getGoal ()
| Returns the goal.
auto | getOutput ()
| Returns any output generated by any completed poll action.
string | getState ()
| Returns the current state.
bool | goalReached ()
| Returns True when the goal as been reached.
Public Member Functions inherited from Qore::AbstractPollOperation
nothing | abort ()
| Aborts any asynchroous operation in progress and closes the connected object.
abstract *hash< SocketPollInfo > | continuePoll ()
| Returns a socket poll hash if polling should continue or NOTHING if complete.
abstract string | getGoal ()
| Returns the goal.
auto | getOutput ()
| Returns any output generated by any completed poll action.
abstract string | getState ()
| Returns the current state.
abstract bool | goalReached ()
| Returns True when the goal as been reached.

## Detailed Description

Abstract poll operation object returned by Socket polling methods.

This class implements the polling logic and the state machine behind it

It has two private members:

- object sock: the socket object
- string goal: the polling goal

This class is only usable by internal classes; it is not directly usable by Qore classes.

Since
  Qore 1.12

## Member Function Documentation

## constructor()

Qore::SocketPollOperationBase::constructor | ( |  | ) |

Throws an exception; this class is not usable by Qore classes.

Exceptions

  INTERNAL-ONLY | this class is not usable by Qore classes

## getGoal()

string Qore::SocketPollOperationBase::getGoal | ( |  | ) |

Returns the goal.

Returns
  the goal set in the constructor

## getOutput()

auto Qore::SocketPollOperationBase::getOutput | ( |  | ) |

Returns any output generated by any completed poll action.

Code Flags:
  RET_VALUE_ONLY

Returns
  any output generated by any completed poll action

## getState()

string Qore::SocketPollOperationBase::getState | ( |  | ) |

Returns the current state.

Code Flags:
  RET_VALUE_ONLY

Returns
  the current state

## goalReached()

bool Qore::SocketPollOperationBase::goalReached | ( |  | ) |

Returns True when the goal as been reached.

Code Flags:
  RET_VALUE_ONLY

Returns
  True when the goal as been reached